rte_table_action_encap_vxlan_params(3)

NAME
rte_table_action_encap_vxlan_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

struct rte_table_action_ether_hdr ether
struct rte_table_action_vlan_hdr vlan
struct rte_table_action_udp_header udp
struct rte_table_action_vxlan_hdr vxlan

Detailed Description

VXLAN encap parameters.

Definition at line 486 of file rte_table_action.h.

Field Documentation

  struct rte_table_action_ether_hdr ether
Ethernet header.

Definition at line 487 of file rte_table_action.h.

  struct rte_table_action_vlan_hdr vlan
VLAN header.

Definition at line 488 of file rte_table_action.h.

  struct rte_table_action_ipv4_header ipv4
IPv4 header.

Definition at line 491 of file rte_table_action.h.

  struct rte_table_action_ipv6_header ipv6
IPv6 header.

Definition at line 492 of file rte_table_action.h.

  struct rte_table_action_udp_header udp
UDP header.

Definition at line 495 of file rte_table_action.h.

  struct rte_table_action_vxlan_hdr vxlan
VXLAN header.

Definition at line 496 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.